This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1015924 - xzless report error reading xz file
xzless report error reading xz file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xz (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1082639
  Show dependency treegraph
 
Reported: 2013-10-06 16:38 EDT by Frank Büttner
Modified: 2014-04-06 23:24 EDT (History)
3 users (show)

See Also:
Fixed In Version: xz-5.1.2-8alpha.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1082639 (view as bug list)
Environment:
Last Closed: 2014-04-06 23:24:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Büttner 2013-10-06 16:38:59 EDT
Description of problem:
When read an xz compressed text file via xzless an error will occur when I close the file.

Version-Release number of selected component (if applicable):
xz-5.1.2-4alpha.fc19.x86_64

How reproducible:
every time

Steps to Reproduce:
1. rpm -qa |xz -z9 >/tmp/text.xz
2. LANG=C xzless /tmp/text.xz
3. press q

Actual results:
Error Message: /bin/xzless: line 49: test: 458 (POSIX regular expressions): integer expression expected


Expected results:
No error when press q on xzless
Comment 1 Pavel Raiskup 2013-10-08 09:04:24 EDT
Thanks for the report.  This was firstly fixed upstream by commit db5c1817fa
and more sane solution committed by 9e6dabcf22.
Comment 2 Fedora Update System 2014-04-02 04:58:42 EDT
xz-5.1.2-8alpha.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xz-5.1.2-8alpha.fc20
Comment 3 Fedora Update System 2014-04-03 00:06:35 EDT
Package xz-5.1.2-8alpha.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xz-5.1.2-8alpha.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4715/xz-5.1.2-8alpha.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2014-04-06 23:24:30 EDT
xz-5.1.2-8alpha.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.